ends_with.hpp File Reference

## Functions

template<typename I0 , typename S0 , typename I1 , typename S1 , typename C = equal_to, typename P0 = identity, typename P1 = identity>
CPP_TEMPLATE_AUX_0 | ranges::c (requires `((forward_iterator< I0 > &&sentinel_for< S0, I0 >)||(input_iterator< I0 > &&sized_sentinel_for< S0, I0 >)) &&((forward_iterator< I1 > &&sentinel_for< S1, I1 >)||(input_iterator< I1 > &&sized_sentinel_for< S1, I1 >)) &&indirectly_comparable< I0, I1, C, P0, P1 >) ccconstexpr bool ends_with(I0 begin0
| function template `ends_with`

## Variables

CPP_TEMPLATE_AUX_0 S0 I1 | ranges::begin1
CPP_TEMPLATE_AUX_0 S0 | ranges::end0
CPP_TEMPLATE_AUX_0 S0 I1 S1 | ranges::end1
CPP_TEMPLATE_AUX_0 S0 I1 S1 C P0 P1 | ranges::P0 = identity
CPP_TEMPLATE_AUX_0 S0 I1 S1 C P0 | ranges::proj0 = P0{}
CPP_TEMPLATE_AUX_0 S0 I1 S1 C P0 P1 | ranges::proj1
CPP_TEMPLATE_AUX_0 S0 I1 S1 C P0 P1 | ranges::Rng1